Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Musepack decoder library
Name:		libmpcdec
Version:	1.2.5
Release:	1
License:	BSD
URL:		http://www.musepack.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Musepack decoder library

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
#./autogen.sh
./configure --prefix=%_prefix --mandir=%_mandir --enable-shared --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.5-1
- Version update
* Sun Nov 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.2.3-1
- version update
* Sun Dec 11 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.2-2
- Moved more files to devel package
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version Update
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.2-2
- Tweaked specfile, moved static libs to devel package
* Wed Jun 15 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.2-1
- Initial Release
